<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Albums extends CI_Controller {

	public function __construct(){
		parent::__construct();
		$this->load->model('model_music');
	}
	public function index(){
		$albums = $this->model_music->getAlbums();
		$this->load->view('layout/header_chanson');
		$this->load->view('albums_list',['albums'=>$albums]);
		$this->load->view('layout/footer_chanson');
	}

	public function view($AlbumsOfArtistId){
        $AlbumsOfArtists = $this->model_music->getAlbumsOfArtist($AlbumsOfArtistId);
        $this->load->view('layout/header');
        $this->load->view('albums_artist_list',['AlbumsOfArtists'=>$AlbumsOfArtists]);
        $this->load->view('layout/footer');
    }

}
